=== debian/changelog ===
meshlab (2020.04+dfsg1-1build1) groovy; urgency=medium

  * No-change rebuild against libqhull7deb1.

 -- Rik Mills <rikmills@kde.org>  Thu, 28 May 2020 09:34:41 +0100

meshlab (2020.04+dfsg1-1) unstable; urgency=medium

  [ Ryan Pavlik ]
  * New upstream version 2020.04+dfsg1
  * Rediff and revise patches:
    - Add 0010-Update-ML_VERSION.patch: Upstream failed to bump their
      version file.
    - Add 0007-Install-icon-to-correct-pixmaps-dir.patch: Upstreamed
      patch was incomplete.
    - Drop 15_qhull.patch: Applied upstream
    - Drop 21_install-common-to-lib-subdir.patch: Applied upstream
    - Drop 26_fix_filter-screened-poisson.patch: Applied upstream
    - Drop 20_Add-desktop-file.patch: Applied upstream
    - Drop 23_icon-install-path.patch: Applied upstream
    - Drop 24_dont_use_build_date_for_ver.patch: Upstream removed this
      build date usage.
    - Add 0011-Fix-typos-in-DAE-code.patch to fix a lintian warning
  * Update lintian overrides: some fixed in upstream release, some patched in
    Debian.

  [ Gürkan Myczko ]
  * Team upload.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 20 Apr 2020 09:16:30 +0200
