## meshlab 2020.06+dfsg1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -169,6 +169,9 @@
 set(CMAKE_INSTALL_RPATH $ORIGIN/../${MESHLAB_LIB_INSTALL_DIR};$ORIGIN/../${CMAKE_INSTALL_LIBDIR})
 add_subdirectory(meshlab)
 add_subdirectory(meshlabserver)
+if (WIN32)
+    add_subdirectory(use_cpu_opengl)
+endif()
 set(CMAKE_INSTALL_RPATH)
 
 ### Plugin subdirectories
@@ -218,7 +221,7 @@
         meshlabplugins/filter_meshing
         meshlabplugins/filter_mls
         meshlabplugins/filter_mutualglobal
-        meshlabplugins/filter_mutualinfoxml # TODO rename dir - actually named filter_mutualinfo
+        meshlabplugins/filter_mutualinfo
         meshlabplugins/filter_plymc
         meshlabplugins/filter_qhull
         meshlabplugins/filter_quality
@@ -248,7 +251,7 @@
         meshlabplugins/edit_measure
         meshlabplugins/edit_mutualcorrs
         meshlabplugins/edit_paint
-        # meshlabplugins/edit_pickpoints # not in qmake file?
+        meshlabplugins/edit_pickpoints
         meshlabplugins/edit_point
         meshlabplugins/edit_referencing
         meshlabplugins/edit_quality
@@ -257,12 +260,12 @@
         # meshlabplugins/edit_texture # not in qmake file?
 
         # Sample Plugins
-        sampleplugins/sampleedit
-        sampleplugins/samplefilter
-        sampleplugins/samplefilterdyn
-        sampleplugins/filter_createiso
-        sampleplugins/filter_geodesic
-        sampleplugins/sample_filtergpu)
+        meshlabplugins/edit_sample
+        meshlabplugins/filter_sample
+        meshlabplugins/filter_sample_dyn
+        meshlabplugins/filter_createiso
+        meshlabplugins/filter_geodesic
+        meshlabplugins/filter_sample_gpu)
 endif()
 
 function(meshlab_install_plugin_xml FN OUTVAR)
