=== src/common/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,17 @@
-# Copyright 2019 Collabora, Ltd.
+# Copyright 2019-2020, Collabora, Ltd.
 # SPDX-License-Identifier: BSL-1.0
 
-### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py
+### Generated file! Edit the templates in src/templates,
+### specifically src/templates/common.cmake (custom for this directory),
+### then re-run ./make-cmake.py
 
-if (EXISTS ../../ML_VERSION)
-    file(READ ../../ML_VERSION MESHLAB_VERSION)
+if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../../ML_VERSION")
+    file(READ "${CMAKE_CURRENT_SOURCE_DIR}/../../ML_VERSION" MESHLAB_VERSION)
     add_definitions(-DMESHLAB_VERSION=${MESHLAB_VERSION})
 endif()
 
 set(SOURCES
+    GLExtensionsManager.cpp
     GLLogStream.cpp
     filterparameter.cpp
     filterscript.cpp
@@ -27,6 +30,7 @@
     xmlfilterinfo.cpp)
 
 set(HEADERS
+    GLExtensionsManager.h
     GLLogStream.h
     filterparameter.h
     filterscript.h
