=== debian/changelog ===
meshlab (2020.06+dfsg1-1) unstable; urgency=medium

 [ Ryan Pavlik ]
  * New upstream version 2020.06+dfsg1
  * d/get-orig-source.sh: Look up hash based on release tag
  * d/copyright: Remove outdated entries in Files-Excluded, add new one
  * d/copyright: Update, fix lintian warnings.
  * d/README.source: Update
  * d/NEWS: Create due to upstream deprecation/migration of plugins affecting
    scripts.
  * Refresh patches.
    - Drop 0010-Update-ML_VERSION.patch: Incorporated upstream.
    - Drop 0011-Fix-typos-in-DAE-code.patch: Incorporated upstream.

 [ Anton Gladky ]
  * [796f34f] Add .gitlab-ci.yml
  * [f2e43fe] Use secure URI in Homepage field.
  * [6ce94fb] Set upstream metadata fields: Bug-Submit.

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Mon, 22 Jun 2020 11:25:17 -0500
